accrue

## Class AccrueJLScheduler

- java.lang.Object
- - polyglot.frontend.Scheduler
  - - polyglot.frontend.JLScheduler
    - - accrue.AccrueJLScheduler

- All Implemented Interfaces:
    AccrueScheduler

      public class AccrueJLScheduler
      extends polyglot.frontend.JLScheduler
      implements AccrueScheduler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class polyglot.frontend.Scheduler

      `polyglot.frontend.Scheduler.TheEndGoal`

  - ### Field Summary

    - ### Fields inherited from class polyglot.frontend.Scheduler

      `commandLineJobs, currentPass, dumpCounter, extInfo, failed, goals, infiniteLoopGoal, inWorklist, jobs, MAX_RUN_COUNT, runCount, worklist`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccrueJLScheduler(polyglot.frontend.JLExtensionInfo extInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AccrueSchedulerHelper` | `createHelper()`
    `AccrueSchedulerHelper` | `helper()` Return a AccrueSchedulerHelper, which defines useful Accrue-relevant scheduler goals.
    `polyglot.frontend.goals.Goal` | `Parsed(polyglot.frontend.Job job)`

    - ### Methods inherited from class polyglot.frontend.JLScheduler

      `CodeGenerated, ConstantsChecked, ConstructorCallsChecked, Disambiguated, ExceptionsChecked, ExitPathsChecked, FieldConstantsChecked, ForwardReferencesChecked, ImportTableInitialized, InitializationsChecked, MembersAdded, ReachabilityChecked, Serialized, SignaturesDisambiguated, SignaturesResolved, SupertypesDisambiguated, SupertypesResolved, TypeChecked, TypeExists, TypesInitialized, TypesInitializedForCommandLine`

    - ### Methods inherited from class polyglot.frontend.Scheduler

      `addCorequisiteDependency, addCorequisiteDependencyAndEnqueue, addDependencyAndEnqueue, addGoal, addJob, addJob, addPrerequisiteDependency, addPrerequisiteDependencyChain, attemptGoal, attemptGoal, commandLineJobs, completeJob, createSourceJob, currentGoal, currentJob, currentPass, dumpDependenceGraph, dumpDependenceGraph, dumpInFlightDependenceGraph, inInfiniteLoop, internGoal, jobs, loadSource, prerequisiteDependsOn, reached, runGoal, runPass, runToCompletion, setCommandLineJobs, sourceHasJob, statusString, toString, worklist`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccrueJLScheduler

          public AccrueJLScheduler(polyglot.frontend.JLExtensionInfo extInfo)

  - ### Method Detail

    - #### createHelper

          protected AccrueSchedulerHelper createHelper()

    - #### Parsed

          public polyglot.frontend.goals.Goal Parsed(polyglot.frontend.Job job)

      Overrides:
        `Parsed` in class `polyglot.frontend.JLScheduler`

    - #### helper

          public AccrueSchedulerHelper helper()

      Description copied from interface: `AccrueScheduler`
      Return a AccrueSchedulerHelper, which defines useful Accrue-relevant scheduler goals. We factor out these goals into a helper class to make it easier to reuse the functionality in Polyglot language extensions.
      Specified by:
        `helper` in interface `AccrueScheduler`